##
##
## All code copyright (c) 2013 UPC/UB
## All accompanying written materials copyright (c) 2013 UPC/UB
##
##
##   This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 2 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##


setClass("MAIT.Parameters",
         representation(
                        sampleProcessing="list",
                        peakAnnotation="list",
                        peakAggregation="list",
                        sigFeatures="list",
                        biotransformations="list",
                        identifyMetabolites="list",
                        classification="list",
                        plotPCA="list",
                        plotHeatmap="list"
                        ),
         prototype(
                        sampleProcessing=list(),
                        peakAnnotation=list(),
                        peakAggregation=list(),
                        sigFeatures=list(),
                        biotransformations=list(),
                        identifyMetabolites=list(),
                        classification=list(),
                        plotPCA=list(),
                        plotHeatmap=list()
			)
         );


setClass("MAIT.FeatureData",
         representation(
                        scores="matrix",
                        featureID="vector",
                        featureSigID="vector",
                        LSDResults="matrix",
                        models="list",
                        pvalues="vector",
			pvaluesCorrection="character"
                        ),
         prototype(
                        scores=matrix(),
                        featureID=vector(),
                        featureSigID=vector(),
                        LSDResults=matrix(),
                        models=list(),
                        pvalues=vector(),
			pvaluesCorrection=""
			)
         );

setClass("MAIT.FeatureInfo",
         representation(
                        biotransformations="matrix",
                        peakAgMethod="character",
                        metaboliteTable="data.frame"
                        ),
         prototype(
                        biotransformations=matrix(),
                        peakAgMethod="",
                        metaboliteTable=data.frame())
         );

setClass("MAIT.PhenoData",
         representation(
                        classes="vector",
                        classNum="vector",
			resultsPath="character"
                        ),
         prototype(
                        classes=vector(),
                        classNum=vector(),
			resultsPath=""
			)
         );

setClass("MAIT.RawData",
         representation(
                        parameters="MAIT.Parameters",
                        data="list"                       
                        ),
         prototype(
                        parameters=new("MAIT.Parameters"),
                        data=list()         
			)
         );

setClass("MAIT.Validation",
         representation(
                        ovClassifRatioTable="matrix",
                        ovClassifRatioData="list",
                        classifRatioClasses="matrix"                       
                        ),
         prototype(
                        ovClassifRatioTable=matrix(),
                        ovClassifRatioData=list(),
                        classifRatioClasses=matrix()
			)
         );

setClass("MAIT",
         representation(
                        FeatureInfo="MAIT.FeatureInfo",
                        RawData="MAIT.RawData",
                        Validation="MAIT.Validation",
                        PhenoData="MAIT.PhenoData",
                        FeatureData="MAIT.FeatureData"
                        ),
         prototype(
                        FeatureInfo=new("MAIT.FeatureInfo"),
                        RawData=new("MAIT.RawData"),
                        Validation=new("MAIT.Validation"),
                        PhenoData=new("MAIT.PhenoData"),
                        FeatureData=new("MAIT.FeatureData"))
         );
