##
##
## All code copyright (c) 2013 UPC/UB
## All accompanying written materials copyright (c) 2013 UPC/UB
##
##
##   This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 2 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##


     
setGeneric("scores",function(object,...)standardGeneric)
setMethod(f="scores",signature="MAIT",         function(object) {          return(object@FeatureData@scores)})
#setMethod(f="scores",signature="pcaRes",         pls::scores)

setGeneric("summary",function(object,...)standardGeneric)
setGeneric("method",function(object,...)standardGeneric)

setMethod(f="method",signature="MAIT",          function(object) {            return(object@FeatureInfo@peakAgMethod)})

setMethod(f="summary",signature="MAIT",function(object){
  show(object)  
  if(!(dim(ovClassifRatioTable(object))[1]==1)){            
                  cat(paste("The Classification using",parameters(object)@classification[[2]],"training samples and",parameters(object)@classification[[1]],"Iterations gave the results:","\n",sep=" "),fill=TRUE)
  show(ovClassifRatioTable(object));
  }
  cat("\n",fill=TRUE)
   cat("Parameters of the analysis:",fill=TRUE)
writeParameterTable(parameters(object),folder=resultsPath(object))}
)

					



setMethod(f="show",signature="MAIT",
          function(object) {

            if(length(rawData(object))==0){
              
                cat("This MAIT object does not have any data information",fill=TRUE)

              }else{
                
if (method(object)==""){
     if(names(rawData(object))=="xcmsSet"){
cat(paste("A MAIT object built of",nrow((rawData(object)[[1]]@phenoData)),"samples. No peak aggregation technique has been applied"),fill=TRUE);
}else{
cat(paste("A MAIT object built of",nrow((rawData(object)[[1]]@xcmsSet@phenoData)),"samples where no peak aggregation technique has been used"),fill=TRUE);
}
cat(paste(paste("The object contains",classNum(object),"samples of class",classes(object),sep=" "),"\n",sep=""),fill=TRUE);

}else{
          NcolData<-ncol(scores(object))
          NrowData<-nrow(scores(object))

if (method(object)=="None"){
  
                vars <- "peaks"
                
                cat(paste("A MAIT object built of",NcolData,"samples and",NrowData,paste(vars,".",sep=""),"No peak aggregation technique has been applied"),fill=TRUE);
                
      if(!(length(featureSigID(object))==0)){
                
               cat(paste(length(featureSigID(object)),"of these peaks are statistically significant",sep=" "),fill=TRUE);
             }
                


                cat(paste(paste("The object contains",NcolData%/%length(classes(object)),"samples of class",classes(object),sep=" "),"\n",sep=""),fill=TRUE);
              

          
          
           
          }else{
          vars <- "spectra"
         
          NcolData<-ncol(scores(object))
          NrowData<-nrow(scores(object))
 
        cat(paste("An MAIT object built of",NcolData,"samples and",NrowData,vars,sep=" "),fill=TRUE);
                if(!(length(featureSigID(object))==0)){
                
               cat(paste(length(featureSigID(object)),"of these spectra are statistically significant",sep=" "),fill=TRUE);
             }


        cat(paste("Peak aggregation method used:",method(object),"\n",sep=" "),fill=FALSE);
                cat(paste(paste("The object contains",NcolData%/%length(classes(object)),"samples of class",classes(object),sep=" "),"\n",sep=""),fill=TRUE);
	}
       }
          }
          }
)
      




setMethod(f="getPeaklist",signature="MAIT",
          function(object) {
            if(class(rawData(object)[[1]])=="xsAnnotate"){
              return(getPeaklist(rawData(object)[[1]]))}else{
              }
            stop("Peak annotation has not been performed. Run function peakAnnotation first.")
          }
            )
