##
##
## All code copyright (c) 2013 UPC/UB
## All accompanying written materials copyright (c) 2013 UPC/UB
##
##
##   This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 3 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##


spectralSigFeatures <- function(pvalue=0.05,
                           bonferroni=FALSE,
                           MAIT.object=NULL,
                           printCSVfile=FALSE,scale=FALSE)
{

if(method(MAIT.object)==""){
  cat("Skipping peak aggregation step...")
  MAIT.object <- peakAggregation(MAIT.object,scale=scale)
}

if(length(classes(MAIT.object))==2){
    
      out<-spectralTStudent(pvalue=pvalue,
                           bonferroni=bonferroni,
                           MAIT.object=MAIT.object,
                           printCSVfile=printCSVfile)
}else{

      out<-spectralAnova(pvalue=pvalue,
                           bonferroni=bonferroni,
                           MAIT.object=MAIT.object,
                           printCSVfile=printCSVfile)
}



      aux <- sigPeaksTable(out,printCSVfile=printCSVfile)



return(out)
}
