\name{sigPeaksTable}
\alias{sigPeaksTable}
\title{Build a table of the information related to the significant features contained in a MAIT object}
\description{
Function sigPeaksTable takes an \code{\link{MAIT-class}} object containing significant feature information and builds a table with the information related to these features.
}
\usage{

sigPeaksTable(MAIT.object=NULL,
             printCSVfile=FALSE)
}
\arguments{
  \item{MAIT.object}{
A \link{MAIT-class} object where significant features have already been found.
}
\item{printCSVfile}{
Set to TRUE if an output table has to be produced. The table should be found in (working directory)/(project directory)Tables/significativeFeatures.csv. 
}

}
\value{
 A table containing:
\itemize{
\item{
First column: peak ID number.
}
\item{
Second column (mz): Peak mass
}
\item{
Third column(mzmin): Minimum peak mass of the peak group.
}
\item{
Forth column(mzmax): Maximum peak mass of the peak group.
}
\item{
Fifth column(rt): Peak retention time (in minutes).
}
\item{
Sixth column(rtmin): Minimum peak retention time of the peak group.
}
\item{
Seventh column(rtmax): Maximum peak retention time of the peak group.
}
\item{ 
Eighth column(npeaks): Number of samples where the peak has been detected.
}
\item{
The columns from the nineth to the column labeled "isotopes" contain number of class samples where the peak has been detected and the intensities of the peak among samples. 
}
\item{
The isotopes column shows if the peak has been identified as a possible isotope.
}
\item{
The adduct column shows which kind of adduct could the peak be.
}
\item{
The column labeled pcgroup contains the spectral ID of the peak.
}
\item{
The P.adjust column contains the corrected peak p-value using bonferroni.
}
\item{
The p column shows the peak p-value with no multiple test correction.
}
\item{
The Fisher column shows the Fisher test results for the peak. Each of the letters separated by the character "_" corresponds to a class value. Classes having the same letters are indistinguible whereas those having different letters are statistically different clases.
}
}
}
\seealso{
\code{\link{spectralTStudent}} \code{\link{spectralAnova}}
}
\author{Francesc Fernandez,
 \email{francesc.fernandez.albert@upc.edu}}
\keyword{file}
