\name{spectrumAnnotation}
\alias{spectrumAnnotation}
\title{Single Spectrum Annotator}
\description{
Function \code{spectrumAnnotation} annotates a whole single spectrum.
}
\usage{

spectrumAnnotation(testValues,BiotransformationsTable, spectrum, biotRange, sigPeaksTable, biotransformationsTable)

}

\arguments{
	  \item{testValues}{
A list of the spectrum mass differences. Provided a list of masses, the first element of the this list should contain the mass differences between each peak and their closest peak mass. The second element should contain the mass differences skipping the closest peak and taking the second closes peak mass. This procedure should be complete to consider all possible spectrum annotations.
}
  \item{BiotransformationsTable}{
Output table containg the same kind of annotations than the ones produced by the function \code{\link{annotateBiotransf}}
}

  \item{spectrum}{
The spectrum to be annotated.
}
  \item{biotRange}{
A matrix containing two numerical columns and each row refers to a certain neutral mass loss. The first column should contain the lower value (neutral mass value minus the peak allowance window) and the second column should have the higher value (neutral mass value plus the peak allowance window)
}
  \item{sigPeaksTable}{
A dataframe obtained from running the \code{\link{sigPeaksTable}} function.
}
  \item{biotransformationsTable}{
Table of biotransformations either read from the bioTable argument or the default MAIT table.
}

}
\value{
The BiotransformationsTable containing all the detected biotransformations for the queried spectrum.}
\seealso{
  \code{\link{Biotransformations}}}

\author{Francesc Fernandez,
 \email{francesc.fernandez.albert@upc.edu}}
